require "postburner/version"
require "postburner/engine"

module Postburner

  def self.connection
    @_connection ||= Backburner::Connection.new(
      Backburner.configuration.beanstalk_url
    )
    @_connection.reconnect! unless @_connection.connected?
    @_connection
  end

  def self.connected
    if block_given?
      begin
        yield connection
      ensure
        connection.close if connection
      end
    else
      connection
    end
  end

  def self.remove_all!(confirm)
    return unless confirm == "CONFIRM"

    # TODO
  end
end
