module Postburner
  # Send a mailer, tracked.
  #
  # Postburner::Mailer.deliver(UserMailer, :welcome, user_id: 1)
  # Postburner::Mailer.deliver(UserMailer, :welcome, user_id: 1).queue! at: Time.zone.now + 1.day
  # Postburner::Mailer.deliver(UserMailer, :welcome, user_id: 1).queue! delay: 5.minutes
  class Mailer < Job
    #queue 'mailers'

    def self.deliver!(mailer, action)
      job = self.create!(
        args: {
          mailer: mailer.to_s,
          action: action.to_s,
        }
      )
      job
    end

    def process(args)
      cls = args['mailer'].constantize
      cls.send(args['action']).deliver_now
    end
  end
end
